# $Revision: 1.8 $, $Date: 2004/04/04 20:20:30 $
Summary:	SAP music input plugin for XMMS
Summary(pl):	Wtyczka wejciowa muzyki w formacie SAP dla XMMS
Name:		xmms-input-sap
Version:	0.4
Release:	3
License:	Freeware
Group:		X11/Applications/Sound
Source0:	http://kunik.republika.pl/sap/dl/insap-%{version}.tar.gz
# Source0-md5:	d92c9ec6cc0312dd86376134f758a1eb
URL:		http://kunik.republika.pl/sap/
BuildRequires:	libsap-devel
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel >= 1.2.3
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin allows XMMS to play SAP (Atari XL/XE) music files.

%description -l pl
Ta wtyczka pozwala XMMS-owi odtwarza pliki muzyczne w formacie SAP
(Atari XL/XE).

%prep
%setup -q -n insap-%{version}

%build
%{__make} \
	CC="%{__cc} -fPIC" \
	OPTS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{xmms_input_plugindir}

install insap.so $RPM_BUILD_ROOT%{xmms_input_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README TODO
%attr(755,root,root) %{xmms_input_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-input-sap.spec,v $
Revision 1.8  2004/04/04 20:20:30  qboosh
- pass -fPIC, release 3

Revision 1.7  2003/08/04 23:33:25  grzegol
- fixed installation

Revision 1.6  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.5  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:28:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.2  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.1  2002/06/10 19:55:20  qboosh
- new
